## caldav-tester 7.0+20190225

=== requirements.txt ===
##
# CalDAVTester dependency
##

--editable .  # caldavtester
--editable git+https://github.com/apple/ccs-pycalendar.git#egg=pycalendar

## caldav-tester 6.1

=== debian/changelog ===
caldav-tester (6.1-3) unstable; urgency=medium

  * Added required python-pycalendar as binary dependency.
  * Added simple autopkgtest script to verify that the program can run.
  * Changed Standards-Version from 3.9.6 to 3.9.7.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 05 Feb 2016 15:14:10 +0000

caldav-tester (6.1-2) unstable; urgency=medium

  * Added Vcs* links in control file.
  * Relicense 0001-Install-data-files-too.patch after Guido agreed
    making it compatible with the upstream license.
  * Make me the maintainer and Frank an uploader while we figure out a
    more sensible configuration.
  * Added needed python-setuptools to build-depends to fix broken build.
    (Closes: #813666)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 04 Feb 2016 11:29:52 +0100

caldav-tester (6.1-1) unstable; urgency=low

  * Initial release. (Closes: #742999)

  [ Frank Piotrowski ]
  * Initial packaging.

  [ Petter Reinholdtsen ]
  * Updated packaging and update to more recent upstream source.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 02 Feb 2016 14:07:02 +0000

=== debian/control ===
Source: caldav-tester
Section: net
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders:
 Frank Piotrowski <f@pi0.de>
 , Christian M. Amsüss <chrysn@fsfe.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>=9)
 , dh-python
 , python-setuptools
 , python
 , python-pip
Homepage: http://trac.calendarserver.org/wiki/CalDAVTester
Testsuite: autopkgtest
XS-Python-Version: 2.7
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/caldav-tester.git
Vcs-Git: git://anonscm.debian.org/collab-maint/caldav-tester.git

Package: caldav-tester
Section: net
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
 , python-pycalendar
Description: CalDAV and CardDAV server test & performance suite
 CalDAVTester is a test and performance application designed to work with
 CalDAV and / or CardDAV servers and tests various aspects of their protocol
 handling as well as performanc. 
 .
 CalDAVTester basically executes HTTP requests against a server and verifies
 the responses returned by the server. Suites of tests are defined in xml
 configuration files, and an additional xml configuration file is used to define
 variables used whilst running (e.g., server address, user accounts to use etc).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2


override_dh_auto_install:
	dh_auto_install
	pwd
	mv debian/caldav-tester/usr/lib/python2.?/dist-packages/* debian/caldav-tester/usr/share/caldavtester/
	rm -rf debian/caldav-tester/usr/lib


override_dh_python2:
	dh_python2 usr/share/caldavtester

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r CalDAVTester.egg-info

RELBRANCH=CalDAVTester-6.1-dev
get-orig-source:
	svn export http://svn.calendarserver.org/repository/calendarserver/CalDAVTester/branches/release/$(RELBRANCH)
	tar Jcf $(RELBRANCH).tar.xz $(RELBRANCH)
	$(RM) -r $(RELBRANCH)

## caldav-tester 7.0

=== debian/changelog ===
caldav-tester (7.0-1) unstable; urgency=medium

  * New upstream version 7.0.
  * Update manual page, mention some of the upstream authors.
  * Rewrite get-orig-source to use the new upstream tags.
  * Added simple debian/watch file tracking upstream tags.
  * Make autopkgtest script more robust, not depending on a specific
    test run order.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Feb 2016 11:02:33 +0000

caldav-tester (6.1-4) unstable; urgency=medium

  * Rewrite autopkgtest script to return a sensible exit status.
  * Add simple manual page using txt2man format.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 06 Feb 2016 11:35:41 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  , python-setuptools
  , python
  , python-pip
+ , txt2man
 Homepage: http://trac.calendarserver.org/wiki/CalDAVTester
 Testsuite: autopkgtest
 XS-Python-Version: 2.7

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,15 @@
 	dh_auto_clean
 	$(RM) -r CalDAVTester.egg-info
 
-RELBRANCH=CalDAVTester-6.1-dev
+override_dh_installman: debian/testcaldav.1
+	dh_installman
+	$(RM) debian/testcaldav.1
+
+debian/testcaldav.1: debian/testcaldav.txtman
+	txt2man -t TESTCALDAV -d 2016-02-06 -s 1 debian/testcaldav.txtman > $@
+
+RELBRANCH=CalDAVTester-7.0
 get-orig-source:
-	svn export http://svn.calendarserver.org/repository/calendarserver/CalDAVTester/branches/release/$(RELBRANCH)
+	svn export http://svn.calendarserver.org/repository/calendarserver/CalDAVTester/tags/release/$(RELBRANCH)
 	tar Jcf $(RELBRANCH).tar.xz $(RELBRANCH)
 	$(RM) -r $(RELBRANCH)

=== debian/watch ===
version=3
http://trac.calendarserver.org/browser/CalDAVTester/tags/release /browser/CalDAVTester/tags/release/CalDAVTester-(.*)

## caldav-tester 7.0%2B20190225

=== debian/tests/control ===
Depends:
 @,
Tests: test-working

## caldav-tester 7.0+20190225

=== debian/changelog ===
caldav-tester (7.0+20190225-4) unstable; urgency=medium

  * add patches cherry-picked from upstream calconnect fork
  * add source scripts
    patch-cherry-pick patch-mkseries patch-refresh-all
  * copyright: update coverage
  * fix dh_auto_clean override rule

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Nov 2020 16:09:38 +0100

caldav-tester (7.0+20190225-3) unstable; urgency=medium

  * release to unstable

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 18:22:08 +0200

caldav-tester (7.0+20190225-2) experimental; urgency=medium

  * update source script copyright-check to print to stderr
  * rename patch 0001 -> 1001;
    document patch naming micro-policy
  * add patch 1002 to avoid pycalendar
  * fix call installed script in autopkgsuite

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 17:35:01 +0200

caldav-tester (7.0+20190225-1) experimental; urgency=medium

  [ upstream ]
  * git development snapshot
    + Add a new test mode to detect one resource in a collection
      that has contents matching a specific string.
    + Test schedule-changes for overridden instance add/remove.
    + New RSCALE tests.
    + Fix some error logging.
    + Fix test race condition.
    + Test that POST on a non-existent resource results in a 404 error.
    + Server-info spec tests.
    + Allow defaults for filtering of calendar and address data.
    + Update to latest draft.
    + Test missing attachment error
      when attendee shares their invite back to the organizer.
    + Fix DST issue.
    + Attachments for trashed events are no longer accessible.
    + Tests for X- prop/param whitelisting.
    + v5/v8 podding tests.
    + Add some additional tests to cover more cases
      of attendees importing events from external sources.
    + Test for new override not triggering auto-accept.
    + Handle case where backend ssl library does not support
      various SSL protocols.
    + Make pycalendar imports optional.
    + Tweaks to better support running tests for another type of server.
    + Add support for TLS client cert authentication.
    + Tests for invalid vcards during simple/crud bulk create requests.
    + Fix test race condition.
    + Add a test for CS:pushtoken PROPFIND
      on a cross-pod shared calendar.
    + Make sure CS:record-type is properly
      returned on a proxy resource.
    + Quell pydev errors.
    + Add tests for recurrence split of event with a managed attachment.
    + Test that managed attachment parameters are restored
      if the client inadvertently removes them.
    + Display request/response if requested in the log observer.
      Provide a way to test for JSON null values.
    + Switch to GIT.
    + Don't print the request/response when there is a failure
      but we have req.wait_for_success turned on.
    + jsondump observer now contains protocol (request+response)
      enabled via --print-details-onfail, --always-print-request
      or --always-print-response parameter
    + statusCode verify added expected status,
      not just given one is wrong
    + Verify the number of VEVENTs in each extended free busy request.
    + Test for bad client that drops the master component
      when doing an attendee reply.
    + MaximumAttachemntsPerInstance tests.

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use DEP-14 branch names
    + filter out any git* files
  * track upstream git commits (not releases)
  * relax to recommend (not depend on) python-pycalendar,
    and unversioned: needed version satisfied in all supported suites
  * drop applied or obsolete patches 0002 0003 0004
  * unfuzz remaining patch 0001, and use DEP-3 patch header
  * add source script copyright-check
  * copyright:
    + update coverage
    + relicense packaging as GPL-3+,
    + document effective license being GPL-3+ in initial section
    + add fields License-Grant License-Reference
    + suppress lintian warnings (see bug#786450)
  * generate documentation unless nodoc requested;
    build-depend on pandoc

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 15:11:29 +0200

caldav-tester (7.0-4) unstable; urgency=medium

  * friendly takeover;
    update Vcs-* fields for hosting at salsa;
    closes: bug#936268
  * use debhelper compatibility level 12 (not 9)
    and buildsystem pybuild;
    build-depend debhelper-compat dh-sequence-python2 python-all
    (not debhelper dh_python python)
  * stop needlessly build-depend on python-pip
  * tolerate pybuild weirdly failing with dh_auto_clean
  * modernize autopkgtest
  * declare compliance with Debian Policy 4.5.0
  * update Homepage URL
  * add fields Upstream-Name Upstream-Contact Source

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2020 11:17:40 +0200

caldav-tester (7.0-3) unstable; urgency=low

  * Document method in debian/rules for updating copyright file using cme.
  * Minor updates for copyright file (add commas, move to https).
  * Made autopkgtest script more robust.
  * Changed Vcs links in d/control to https.
  * Changed Standards-Version from 3.9.7 to 3.9.8.
  * Updated watch file to work with new upstream pages.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 29 Dec 2016 08:20:12 +0000

caldav-tester (7.0-2) unstable; urgency=medium

  * Disabled 0003-older-pycalendar.patch as a new enough pycalendar is
    in Debian unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 21 Feb 2016 17:31:54 +0100

=== debian/control ===
Source: caldav-tester
Section: net
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python2,
 pandoc <!nodoc>,
 python-all,
 python-setuptools,
 txt2man,
Homepage: https://www.calendarserver.org/CalDAVTester.html
Vcs-Browser: https://salsa.debian.org/debian/caldav-tester
Vcs-Git: https://salsa.debian.org/debian/caldav-tester.git

Package: caldav-tester
Section: net
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-pycalendar,
Description: CalDAV and CardDAV server test & performance suite
 CalDAVTester is a test and performance application designed to work with
 CalDAV and / or CardDAV servers and tests various aspects of their protocol
 handling as well as performanc.
 .
 CalDAVTester basically executes HTTP requests against a server and verifies
 the responses returned by the server. Suites of tests are defined in xml
 configuration files, and an additional xml configuration file is used to define
 variables used whilst running (e.g., server address, user accounts to use etc).

=== debian/rules ===
#!/usr/bin/make -f

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

%:
	dh $@ --buildsystem=pybuild

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

override_dh_auto_build: $(DOCS)
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	pwd
	mv debian/caldav-tester/usr/lib/python2.?/dist-packages/* debian/caldav-tester/usr/share/caldavtester/
	rm -rf debian/caldav-tester/usr/lib

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_clean:
	dh_clean -- $(DOCS)

override_dh_python2:
	dh_python2 usr/share/caldavtester

# FIXME: make strict when not unconditionally failing with incomprehensible error
override_dh_auto_clean:
	-dh_auto_clean
	rm -rf .pybuild

override_dh_installman: debian/testcaldav.1
	dh_installman
	$(RM) debian/testcaldav.1

debian/testcaldav.1: debian/testcaldav.txtman
	txt2man -t TESTCALDAV -d 2016-02-06 -s 1 debian/testcaldav.txtman > $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=7.0+%cd \
https://github.com/apple/ccs-caldavtester HEAD
